Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.inference.deployments.logs.list(
deployment_name="my-instance",
project_id=1,
)
page = page.results[0]
print(page.region_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Inference.Deployments.Logs.List(
context.TODO(),
"my-instance",
cloud.InferenceDeploymentLogListParams{
ProjectID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/deployments/{deployment_name}/logs \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/deployments/{deployment_name}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"message": "GET /v1/predictions",
"pod": "iate-container-8568ff8fc7-z7vx9",
"region_id": 7,
"time": "2024-10-14T14:54:04.82851142Z"
}
]
}Everywhere Inference
Get inference deployment logs
GET
/
cloud
/
v3
/
inference
/
{project_id}
/
deployments
/
{deployment_name}
/
logs
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.inference.deployments.logs.list(
deployment_name="my-instance",
project_id=1,
)
page = page.results[0]
print(page.region_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Inference.Deployments.Logs.List(
context.TODO(),
"my-instance",
cloud.InferenceDeploymentLogListParams{
ProjectID: gcore.Int(1),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Inference instance name.
Example:
"my-instance"
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Order by field
Available options:
time.asc, time.desc Example:
"time.asc"
Region ID
Example:
1
Was this page helpful?